Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch
Interface ImportingTransactionManager

All Known Implementing Classes:
  TrmiTransactionManager

    public interface ImportingTransactionManager

Represents a handle to import a transaction from an incoming request, so that the work in this VM becomes part of the request's commit or rollback.

Method Summary
`CompositeTransaction` | `importTransaction(Propagation propagation, boolean orphancheck, boolean heur_commit)` Imports the transaction propagation obtained from an incoming request.
`Extent` | `terminated(boolean commit)` Signals that the incoming request is done processing, in order to terminate the transaction context for the calling thread.

Method Detail

### importTransaction

    CompositeTransaction importTransaction(Propagation propagation,
                                           boolean orphancheck,
                                           boolean heur_commit)
                                           throws SysException

  Imports the transaction propagation obtained from an incoming request.

  Parameters:
    `propagation` - The ancestor information.
    `orphancheck` - True if orphans are to be checked.
    `heur_commit` - True if heuristic means commit.
  Returns:
    CompositeTransaction The locally created transaction instance that takes part in the global commit/rollback. This instance will also be mapped to the calling thread.
  Throws:
    `SysException`

### terminated

    Extent terminated(boolean commit)
                      throws SysException,
                             RollbackException

  Signals that the incoming request is done processing, in order to terminate the transaction context for the calling thread.

  Parameters:
    `commit` - True if the invocation had no errors: commit the local transaction but make its final outcome subject to the request's commit/rollback.
  Returns:
    Extent The extent to return to remote client.
  Throws:
    `RollbackException` - If no transaction exists, e.g. if it has been rolled back already.
    `SysException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.